- Qt 6.12
- Qt GRPC
- C++ Classes
- QGrpcCancelInterceptor
- Qt 6.12.0 Reference Documentation

# QGrpcCancelInterceptor Class

Intercepts cancellation requests for an RPC. More...

Header: | `#include <QGrpcInterceptor>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.11

- List of all members, including inherited members
- QGrpcCancelInterceptor is part of Qt GRPC Interceptors.

Note: All functions in this class are reentrant.

## Public Functions

virtual | ~QGrpcCancelInterceptor()
virtual void | onCancel(QGrpcInterceptionContext &context) = 0

## Detailed Description

Implement QGrpcCancelInterceptor to observe when cancellation is requested for an RPC.

For an introduction to the interception mechanism and how interceptor interfaces participate in the lifecycle of an RPC, see the Qt GRPC Interceptors Overview.

Note: This interceptor operates in the inbound direction. For details on how multiple interceptor callbacks flow through the chain, see the Direction and flow section.

See also QtGrpc::InterceptorCapability::Cancel and QGrpcInterceptionContext.

## Member Function Documentation

### `[virtual noexcept]` QGrpcCancelInterceptor::~QGrpcCancelInterceptor()

Destroys the interceptor.

### `[pure virtual]` void QGrpcCancelInterceptor::onCancel(QGrpcInterceptionContext &context)

Called when cancellation is requested for the RPC.

The context provides information about the intercepted RPC.

See also QGrpcOperation::cancel().